<!DOCTYPE html>

<html> 	
	<head>
	
		<meta charset='utf-8'/>
	 	<title>CSS Chapitre 3</title> 
		
		<style>	
			a.button::before {
				-webkit-border-radius: 3px;
				-moz-border-radius: 3px;
				-webkit-box-shadow: #959595 0 2px 5px;
				-moz-box-shadow: #959595 0 2px 5px;
				border-radius: 3px;
				box-shadow: #959595 0 2px 5px;
				content: "";
				display: block;
				height: 100%;
				left: 0;
				padding: 2px 0 0;
				position: absolute;
				top: 0;
				width: 100%; }
    
			a.button:active::before { padding: 1px 0 0; }

			a.button {
				-moz-box-shadow: inset 0 0 0 1px #63ad0d;
				-webkit-box-shadow: inset 0 0 0 1px #63ad0d;
				-moz-border-radius: 3px;
				-webkit-border-radius: 3px;
				background: #eee;
				background: -webkit-gradient(linear, 0 0, 0 bottom, from(#eee), to(#e2e2e2));
				background: -moz-linear-gradient(#eee, #e2e2e2);
				background: linear-gradient(#eee, #e2e2e2);
				border: solid 1px #d0d0d0;
				border-bottom: solid 3px #b2b1b1;
				border-radius: 3px;
				box-shadow: inset 0 0 0 1px #f5f5f5;
				color: #555;
				display: inline-block;
				font: bold 12px Arial, Helvetica, Clean, sans-serif;
				margin: 0 25px 25px 0;
				padding: 10px 20px;
				position: relative;
				text-align: center;
				text-decoration: none;
				text-shadow: 0 1px 0 #fafafa; }
    
			a.button:hover {
				background: #e4e4e4;
				background: -webkit-gradient(linear, 0 0, 0 bottom, from(#e4e4e4), to(#ededed));
				background: -moz-linear-gradient(#e4e4e4, #ededed);
				background: linear-gradient(#e4e4e4, #ededed);
				border: solid 1px #c2c2c2;
				border-bottom: solid 3px #b2b1b1;
				box-shadow: inset 0 0 0 1px #efefef; }
				
			a.button:active {
				background: #dfdfdf;
				background: -webkit-gradient(linear, 0 0, 0 bottom, from(#dfdfdf), to(#e3e3e3));
				background: -moz-linear-gradient(#dfdfdf, #e3e3e3);
				background: linear-gradient(#dfdfdf, #e3e3e3);
				border: solid 1px #959595;
				box-shadow: inset 0 10px 15px 0 #c4c4c4;
				top:2px;}
					a.button.blue {
				background: #abe4f8;
				background: -webkit-gradient(linear, 0 0, 0 bottom, from(#abe4f8), to(#74d0f4));
				background: -moz-linear-gradient(#abe4f8, #74d0f4);
				background: linear-gradient(#abe4f8, #74d0f4);
				border: solid 1px #8cc5d9;
				border-bottom: solid 3px #589cb6;
				box-shadow: inset 0 0 0 1px #cdeffb;
				color: #42788e;
				text-shadow: 0 1px 0 #b6e6f9; }
				
			a.button.blue:hover {
				background: #80d4f5;
				background: -webkit-gradient(linear, 0 0, 0 bottom, from(#80d4f5), to(#92dbf6));
				background: -moz-linear-gradient(#80d4f5, #92dbf6);
				background: linear-gradient(#80d4f5, #92dbf6);
				border: solid 1px #79acbe;
				border-bottom: solid 3px #589cb6;
				box-shadow: inset 0 0 0 1px #b2e6f8; }
				
			a.button.blue:active {
				background: #89d2ee;
				background: -webkit-gradient(linear, 0 0, 0 bottom, from(#89d2ee), to(#84cae6));
				background: -moz-linear-gradient(#89d2ee, #84cae6);
				background: linear-gradient(#89d2ee, #84cae6);
				border: solid 1px #5c8d9f;
				box-shadow: inset 0 10px 15px 0 #79b9d2; }				
		</style>
		
		<style>		
			body {
			background-image: url("fond.jpg");	
			margin-left:300px;
			margin-right:300px;
			}
		</style>
		
		<style>
			ul {
				list-style-type: none;
				margin: 0;
				padding: 0;
				overflow: hidden;
				background-color: #333;
			}

			li {
				float: left;
			}

			li a {
				display: block;
				color: white;
				text-align: center;
				padding: 14px 16px;
				text-decoration: none;
			}

			li a:hover {
				background-color: #111;
			}
		</style>		
	</head>	
	<body style="font-family: Arial; color:#000000;color:white;">		
		
		<ul>
		  <li><a class="active" href="CSS Chapitre-1.html">Chapitre 1</a></li>
		  <li><a href="CSS Chapitre-2.html">Chapitre 2</a></li>
		  <li><a href="CSS Chapitre-3.html">Chapitre 3</a></li>
		</ul>
		<center><h1>Chapitre-3 : Les styles avancées</h1></center>		
		<center><h2>Jusqu'où peut on aller ?</h2></center>
		<center><h3>Les limites du CSS3</h3></center>
		<br>
		<hr>
		<br>
		<h3>2D 3D ANIMATION</h3>
		<p>Transformées CSS3 vous permettent de traduire, faire pivoter, l'échelle et l'inclinaison des éléments.
		Une transformation est un effet qui permet à un changement de forme de l'élément, la taille et la position.
		CSS3 soutient la transformations 2D et 3D</p>		
		<br><center><a href="3Dcube.html" class="button blue">Exemple</a></center></br>				
		<h3>CSS RESPONSIVE</h3>
		<p>Les pages Web peuvent être visualisés à l'aide de nombreux appareils différents: les ordinateurs de bureau, les tablettes et les téléphones. 
		Votre page Web doit bien paraître, et être facile à utiliser, quel que soit l'appareil.
		pages Web ne devraient pas laisser les informations pour adapter des appareils plus petits, mais plutôt adapter son contenu à adapter à tout appareil.</p>
		<p>La page internet est appelée Responsive lorsque vous utilisez CSS et HTML pour redimensionner,
		cacher, rétrécir, agrandir ou déplacer le contenu pour le faire paraître bien sur un écran.</p>
		
		<br><center><img src="rwd_phone.png" alt="Oops" /></center></br>
		<br><center><img src="rwd_tablet.png" alt="Oops" /></center></br>
		<br><center><img src="rwd_desktop.png" alt="Oops" /></center></br>
				
	</body>
</html>

